#ifndef CUTSCENE_H
#define CUTSCENE_H

#include "dom.h"
#include <allegro.h>
#include <map>
#include <string>
#include <vector>

class Resources;
    
class CutScene
{
    private:
	
    std::vector <std::string> paragraphs;
    int currentParagraph;
    bool enter_pressed;
    int timer;
    RLE_SPRITE *rle;
        
    public:
    
    bool finished;
    void init();
    void draw (BITMAP *buffer);
    void update ();
    static int loadFromXml (xdom::DomNode *n, Resources *res, std::map<std::string, CutScene*> &result);
};

#endif
