
#ifndef MENU_H
#define MENU_H

#include <allegro.h>
#include <string>
#include "anim.h"

class Main;

class Menu
{
    RLE_SPRITE *fole;
    RLE_SPRITE *logo;
    int fole_x;
    int fole_y;
    int fole_target_y;
    float fole_phase;

    int state;
    // -1 = showing, 0 = quit, 1 = start new, 2 = resume

    bool isResume;
    Main *parent;
    
    SAMPLE *miau;
    SAMPLE *blip;
        
    std::string getMenuItem(int i);
    void doMenuItem(int i);
    int cursor;
    FONT *myfont;
    int getMenuItemCount();
public:
    Menu(Main *p);
    ~Menu(); 
    void draw (BITMAP *buffer);
    void update();
    void init (); 

    void done () {  }
    void initStart();
    void initResume();  
    int getState() { return state; }
};

#endif

